org.apache.bcel.generic

## Class GETFIELD

- java.lang.Object
- - org.apache.bcel.generic.Instruction
  - - org.apache.bcel.generic.CPInstruction
    - - org.apache.bcel.generic.FieldOrMethod
      - - org.apache.bcel.generic.FieldInstruction
        - - org.apache.bcel.generic.GETFIELD

- All Implemented Interfaces:
    Cloneable, ExceptionThrower, IndexedInstruction, LoadClass, StackConsumer, StackProducer, TypedInstruction

      public class GETFIELD
      extends FieldInstruction
      implements ExceptionThrower, StackConsumer, StackProducer

  GETFIELD - Fetch field from object

       Stack: ..., objectref -> ..., value

  OR

       Stack: ..., objectref -> ..., value.word1, value.word2

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.CPInstruction

      `index`

    - ### Fields inherited from class org.apache.bcel.generic.Instruction

      `length, opcode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GETFIELD(int index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Call corresponding visitor method(s).
    `Class<?>[]` | `getExceptions()`
    `int` | `produceStack(ConstantPoolGen cpg)` This method also gives right results for instructions whose effect on the stack depends on the constant pool entry they reference.

    - ### Methods inherited from class org.apache.bcel.generic.FieldInstruction

      `getFieldName, getFieldSize, getFieldType, getType, toString`

    - ### Methods inherited from class org.apache.bcel.generic.FieldOrMethod

      `getClassName, getClassType, getLoadClassType, getName, getReferenceType, getSignature`

    - ### Methods inherited from class org.apache.bcel.generic.CPInstruction

      `dump, getIndex, initFromFile, setIndex, toString`

    - ### Methods inherited from class org.apache.bcel.generic.Instruction

      `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, readInstruction, setComparator, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.bcel.generic.StackConsumer

      `consumeStack`

- - ### Constructor Detail

    - #### GETFIELD

          public GETFIELD(int index)

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
      Specified by:
        `accept` in class `Instruction`
      Parameters:
        `v` - Visitor object

    - #### getExceptions

          public Class<?>[] getExceptions()

      Specified by:
        `getExceptions` in interface `ExceptionThrower`

    - #### produceStack

          public int produceStack(ConstantPoolGen cpg)

      Description copied from class: `Instruction`
      This method also gives right results for instructions whose effect on the stack depends on the constant pool entry they reference.
      Specified by:
        `produceStack` in interface `StackProducer`
      Overrides:
        `produceStack` in class `Instruction`
      Returns:
        Number of words produced onto stack by this instruction, or Constants.UNPREDICTABLE, if this can not be computed statically

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.